
%define snapshot 20150604
%global tarballversion 0.9.2

Summary: A Qt5 implementation of the DBusMenu protocol
Name:    dbusmenu-qt5
Version: 0.9.3
Release: 0.2

License: LGPLv2+
URL: https://launchpad.net/libdbusmenu-qt/
%if 0%{?snapshot}
# bzr branch lp:libdbusmenu-qt && cd libdbusmenu-qt && bzr export --root=libdbusmenu-qt-%{version}-%{snapshot}bzr.tar.gz
Source0:  libdbusmenu-qt-%{version}-%{snapshot}bzr.tar.gz
%else
Source0:  https://launchpad.net/libdbusmenu-qt/trunk/%{version}/+download/libdbusmenu-qt-%{version}.tar.bz2
%endif


## upstream patches

BuildRequires: doxygen
BuildRequires: kf5-rpm-macros
BuildRequires: pkgconfig
BuildRequires: pkgconfig(Qt5DBus) pkgconfig(Qt5Widgets)
# test-suite
#BuildRequires: xorg-x11-server-Xvfb dbus-x11

Provides: libdbusmenu-qt5 = %{version}-%{release}

%description
This library provides a Qt5 implementation of the DBusMenu protocol.

The DBusMenu protocol makes it possible for applications to export and import
their menus over DBus.

%package devel
Summary: Development files for %{name}
Provides: libdbusmenu-qt5-devel = %{version}-%{release}
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
%{summary}.

%prep
%setup -q -n libdbusmenu-qt-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} .. \
  -DUSE_QT4:BOOL=OFF \
  -DUSE_QT5:BOOL=ON \
  -DWITH_DOC:BOOL=OFF

popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# unpackaged files
rm -rfv %{buildroot}%{_docdir}/libdbusmenu-qt*-doc


%check
# verify pkg-config version
export PKG_CONFIG_PATH=%{buildroot}%{_libdir}/pkgconfig
test "$(pkg-config --modversion dbusmenu-qt5)" = "%{tarballversion}"
# test suite
export CTEST_OUTPUT_ON_FAILURE=1
xvfb-run -a dbus-launch --exit-with-session make -C %{_target_platform} check ARGS="--output-on-failure --timeout 300" ||:


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc README
%license COPYING
%{_libdir}/libdbusmenu-qt5.so.2*

%files devel
%{_includedir}/dbusmenu-qt5/
%{_libdir}/libdbusmenu-qt5.so
%{_libdir}/cmake/dbusmenu-qt5/
%{_libdir}/pkgconfig/dbusmenu-qt5.pc


%changelog
* Tue Apr 05 2016  - 0.9.3-0.1.20150604
- dbusmenu-qt5, first try

